Freeciv-3.1: /fast/freeciv/nightly/S3_1/server/advisors/advbuilding.h File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Macros | Functions
advbuilding.h File Reference
`#include "advchoice.h"`

Go to the source code of this file.

## Macros

#define | FOOD_WEIGHTING (adv_want)30
#define | SHIELD_WEIGHTING (adv_want)17
#define | TRADE_WEIGHTING (adv_want)18
#define | POLLUTION_WEIGHTING (adv_want)20 /* Tentative */
#define | INFRA_WEIGHTING (TRADE_WEIGHTING * 0.75)
#define | WARMING_FACTOR 50
#define | COOLING_FACTOR WARMING_FACTOR

## Functions

void | building_advisor (struct player *pplayer)
void | advisor_choose_build (struct player *pplayer, struct city *pcity)
void | building_advisor_choose (struct city *pcity, struct adv_choice *choice)

## Macro Definition Documentation

## ◆ COOLING_FACTOR

#define COOLING_FACTOR WARMING_FACTOR

Definition at line 31 of file advbuilding.h.

## ◆ FOOD_WEIGHTING

#define FOOD_WEIGHTING (adv_want)30

Definition at line 19 of file advbuilding.h.

## ◆ INFRA_WEIGHTING

#define INFRA_WEIGHTING (TRADE_WEIGHTING * 0.75)

Definition at line 29 of file advbuilding.h.

## ◆ POLLUTION_WEIGHTING

#define POLLUTION_WEIGHTING (adv_want)20 /* Tentative */

Definition at line 28 of file advbuilding.h.

## ◆ SHIELD_WEIGHTING

#define SHIELD_WEIGHTING (adv_want)17

Definition at line 20 of file advbuilding.h.

## ◆ TRADE_WEIGHTING

#define TRADE_WEIGHTING (adv_want)18

Definition at line 21 of file advbuilding.h.

## ◆ WARMING_FACTOR

#define WARMING_FACTOR 50

Definition at line 30 of file advbuilding.h.

## Function Documentation

## ◆ advisor_choose_build()

void advisor_choose_build | ( | struct player * | pplayer,
|  | struct city * | pcity
| ) |  |

Setup improvement building

Definition at line 320 of file advbuilding.c.

Referenced by choose_build_target(), and transfer_city().

## ◆ building_advisor()

void building_advisor | ( | struct player * | pplayer | ) |

Prime pcity->server.adv.building_want[]

Definition at line 180 of file advbuilding.c.

Referenced by begin_phase(), dai_manage_cities(), sg_load_sanitycheck(), and sg_load_sanitycheck().

## ◆ building_advisor_choose()

void building_advisor_choose | ( | struct city * | pcity,
|  | struct adv_choice * | choice
| ) |  |

Choose improvement we like most and put it into adv_choice.

Definition at line 278 of file advbuilding.c.

Referenced by advisor_choose_build(), and domestic_advisor_choose_build().